package org.gcube.application.geoportal.service.ws;

import org.gcube.application.cms.tests.TokenSetter;
import org.gcube.application.geoportal.service.engine.WorkspaceManager;
import org.gcube.common.storagehub.client.dsl.FolderContainer;
import org.gcube.common.storagehub.client.dsl.StorageHubClient;
import org.gcube.common.storagehub.model.exceptions.StorageHubException;
import org.gcube.common.storagehub.model.items.*;

public class DescribeWSFolder {


    static StorageHubClient shc =null;

    public static void main(String[] args) throws StorageHubException {
        String context="/gcube/devsec/devVRE";
        String folderID="46b376db-32d7-4411-ad04-ca3dadab5f5b";
        Boolean recursive = true;

        TokenSetter.set(context);
        shc= new StorageHubClient();
        shc.openVREFolder().get().getDescription();

        FolderContainer folder=shc.open(folderID).asFolder();

        FolderItem item=folder.get();
            System.out.print("PATH : "+item.getPath()+"\tHIDDEN : "+item.isHidden()+"\tDescription : "+item.getDescription());

        System.out.println("Listing... ");
        print(folder,"");
    }

    private static final void print(FolderContainer folder,String pad) throws StorageHubException {
        for (Item i :  folder.list().includeHidden().getItems()) {
            System.out.println(pad+ i.getName() + " [" + i.getPrimaryType()+"]");
            if(i instanceof FolderItem){
                print(shc.open(i.getId()).asFolder(),pad+"\t");
            }
        }
    }
}
